FirstObject.h File Reference

Object used in unit testing of object templates. More...

`#include "SecondObject.h"`
`#include "TheStruct.h"`
`#include "TemplateInclude.h"`
Include dependency graph for FirstObject.h:

Go to the source code of this file.

## Macros

#define | CLASS UnitFirstObject
#define | EXPAND_CLASS_MEMBERS(CLASS)

## Detailed Description

Object used in unit testing of object templates.

## Macro Definition Documentation

## EXPAND_CLASS_MEMBERS

#define EXPAND_CLASS_MEMBERS | ( |  | CLASS | ) |

Value:
EXPAND_CLASS_MEMBER_INT(CLASS, TheInteger, int) \
EXPAND_CLASS_MEMBER_INT(CLASS, TheUnsignedLong, unsigned long) \
EXPAND_CLASS_MEMBER_INT(CLASS, TheCharPointer, char *) \
EXPAND_CLASS_MEMBER_BUFFER(CLASS, TheBuffer, struct TheStruct) \
EXPAND_CLASS_MEMBER_LIST(CLASS, TheList) \
EXPAND_CLASS_MEMBER_OBJECT(CLASS, TheSecondObject, UnitSecondObject) \
EXPAND_CLASS_MEMBER_STRING(CLASS, TheString) \
EXPAND_CLASS_MEMBER_DOMSTRING(CLASS, TheDomString)
CLASS
struct s_CLASS CLASS
Definition: TemplateInclude.h:138
TheStruct
Definition: TheStruct.h:5